#!/usr/bin/env bash

set -o nounset
		
	zenity --text-info \
		--title="Sovran_SystemsOS Updater" \
		--html \
		--url="https://git.sovransystems.com/Sovran_Systems/Software/raw/branch/main/Sovran_SystemsOS_Updater/Updater%20Source%20Files/Intro.md" \
		--width=1000 \
		--height=700

	if [[ $? -eq 1 ]]; then
		
		exit 1

	else

		if ! xterm -fa 'Noto Mono' -fs 15 -fg white -bg black -e bash -c "ssh root@localhost 'flatpak update -y && cd /etc/nixos && nix flake update && nixos-rebuild switch --impure'"; then
				
				zenity --info \
					--width=400 \
					--title="Sovran_SystemsOS Updater" \
					--text="Could Not Update Sovran_SystemsOS -- Exiting"

		exit 1

		fi

		zenity --info \
			--ellipsize \
			--no-wrap \
			--width=400 \
			--title="Sovran_SystemsOS Updater" \
			--text="Yay Complete! Please Reboot When You Are Ready."
	fi

exit 0